#pragma once
#include "MicroBehaviour.h"

class VultureMicroBehaviour : public MicroBehaviour {
public:
	VultureMicroBehaviour( UnitModel* sub , UnitManager* u);
	virtual bool execute();
	BWAPI::Position bestPointClosestTo(BWAPI::Position p, int r);
private:
	BWAPI::Position targetPosition;
	UnitManager* unitManager;

protected:


};